> ## Documentation Index
> Fetch the complete documentation index at: https://devliz.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch videos

> This endpoint allows you to get the videos that belong to a TV episode.



## OpenAPI

````yaml get /tv/{{series_id}}/season/{{season_number}}/episode/{{episode_number}}/videos
openapi: 3.0.3
info:
  title: TMDB API DOCS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: >-
      This section contains endpoints that let you create authentication
      sessions for TMDB Guests and User accounts.
  - name: Account
    description: >-
      This section contains endpoints that let you access and sync with TMDB
      user account information.
  - name: Certifications
    description: >-
      This section contains endpoints that provide an up-to-date list of the
      officially supported movies and TV show certifications on TMDB.
  - name: Changes
    description: >-
      This section contains endpoints that let you fetch the list of Movie IDs,
      People IDs, and TV show IDs that have been changed in the past 24 hours.
  - name: Collections
    description: >-
      This collection contains endpoints that let you fetch movie collection
      details.
  - name: Discover
    description: >-
      This section contains endpoints that let you search for movies and TV
      shows, using sorts and filters.
  - name: Configuration
    description: This section contains endpoints that let you query the API configuration.
  - name: Movies
    description: >-
      This section contains endpoints that let you fetch information about the
      movie resource.
  - name: Companies
    description: >-
      This section contains endpoints that fetch information about a movie
      production company.
  - name: Credits
    description: This section contains endpoint for credit details.
  - name: Find
    description: This section contains endpoints that let you find movie or TV data.
  - name: Genres
    description: This section contain endpoints that let you get movie and TV genres.
  - name: Search
    description: This section contains endpoints that let you search through TMDB
  - name: Keywords
    description: This section contains endpoints for keyword information in TMDB
  - name: Movie Lists
    description: >-
      This section contains endpoints that let you fetch information about list
      of movies on TMDB
  - name: Networks
    description: >-
      This section contains endpoints that let you get information about the
      streaming networks.
  - name: People Lists
    description: This section contains endpoints of list of people.
  - name: People
    description: >-
      This section contains endpoints that let you get information about a
      person.
  - name: Reviews
    description: This section contains endpoints for movie or TV reviews.
  - name: Trending
    description: This section contains endpoints for trending movies, TV shows, and people.
  - name: TV Series List
    description: This section contains endpoints for listing TV series.
  - name: TV Series
    description: >-
      This section contains endpoints that let you get information for a TV
      series by ID
  - name: TV Seasons
    description: This section contains endpoints for TV show seasons.
  - name: TV Episodes
    description: >-
      This section contains endpoints that let you query information about a TV
      episode.
  - name: TV Episode groups
    description: This section contains endpoints for TV Episode information
  - name: Watch providers
    description: >-
      This section contains endpoints that let you get information about watch
      providers.
paths:
  /tv/{{series_id}}/season/{{season_number}}/episode/{{episode_number}}/videos:
    parameters:
      - name: series_id
        in: path
        required: true
        schema:
          type: string
      - name: season_number
        in: path
        required: true
        schema:
          type: string
      - name: episode_number
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - TV Episodes
      summary: Fetch videos
      description: This endpoint allows you to get the videos that belong to a TV episode.
      operationId: fetchVideos2
      parameters:
        - name: include_video_language
          in: query
          schema:
            type: string
            example: string
          description: >-
            filter the list results by language, supports more than one value by
            using a comma
        - name: language
          in: query
          schema:
            type: string
            example: string
      responses:
        '200':
          description: Fetch videos
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Cache-Control:
              schema:
                type: string
                example: public, max-age=14196
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Date:
              schema:
                type: string
                example: Mon, 30 Dec 2024 11:28:26 GMT
            ETag:
              schema:
                type: string
                example: W/"e696d4150c866bf35841b1f33e367fbc"
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 47c0295005ec7d8570406951491004c2.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: SgzBjUOt91wA8OOxxFJU1w-ifST-WA1qF7qgKn5R3VMvEuiHgTZmGg==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: IAD89-C3
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            x-memc:
              schema:
                type: string
                example: HIT
            x-memc-age:
              schema:
                type: string
                example: '13755'
            x-memc-expires:
              schema:
                type: string
                example: '14196'
            x-memc-key:
              schema:
                type: string
                example: bb2ff94758c5bf2dafade6000a48d9a7
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    example: 63060
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: 534926fc0e0a266b470013fb
                        iso_3166_1:
                          type: string
                          example: US
                        iso_639_1:
                          type: string
                          example: en
                        key:
                          type: string
                          example: EzM_TQqlY3w
                        name:
                          type: string
                          example: 'Game of Thrones: Season 1 - Episode 5 Clip #1 (HBO)'
                        official:
                          type: boolean
                          example: true
                        published_at:
                          type: string
                          example: '2011-05-12T14:53:04.000Z'
                        site:
                          type: string
                          example: YouTube
                        size:
                          type: number
                          example: 720
                        type:
                          type: string
                          example: Clip
                    example:
                      - id: 534926fc0e0a266b470013fb
                        iso_3166_1: US
                        iso_639_1: en
                        key: EzM_TQqlY3w
                        name: 'Game of Thrones: Season 1 - Episode 5 Clip #1 (HBO)'
                        official: true
                        published_at: '2011-05-12T14:53:04.000Z'
                        site: YouTube
                        size: 720
                        type: Clip
              examples:
                Fetch videos:
                  value:
                    id: 63060
                    results:
                      - id: 534926fc0e0a266b470013fb
                        iso_3166_1: US
                        iso_639_1: en
                        key: EzM_TQqlY3w
                        name: 'Game of Thrones: Season 1 - Episode 5 Clip #1 (HBO)'
                        official: true
                        published_at: '2011-05-12T14:53:04.000Z'
                        site: YouTube
                        size: 720
                        type: Clip
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````